# Marketplace

The [Universal Dashboard Marketplace](https://marketplace.universaldashboard.io/) is a PowerShell Gallery module aggregator. It synchronizes with the PowerShell Gallery on an hourly basis to find modules that can be used with Universal Dashboard.

## Installing Components from the Gallery

### Automatic Install from the Marketplace

Within PowerShell Universal, you can access the Universal Dashboard Marketplace by navigating to the Dashboards page and clicking the Marketplace button in the top right.

![](/files/YhGZbEhcPG3vWcb9z3fY)

Once installed, the component will be listed on the Dashboard Components page. You can access this by clicking Dashboards and then the Components button in the top right.

![](/files/2KC3xqXNgSEgHFQFLplE)

To add the component to a dashboard, navigate to the Dashboard Details and then click the Add Component button.&#x20;

![](/files/kFqNpSnkYivAhpZs1lPd)

The drawer will show which components are already added and which components can be added. Click the add button to activate the component for the dashboard.

![](/files/wHmaF6Kocs5C7Tfq4e78)

### Manual Install from the PowerShell Gallery

You can install any of the components from the Marketplace by using the `Install-Module` or `Save-Module` cmdlets provided by `PowerShellGet`. Since the components are just listed on the PowerShell Gallery, you'll be able to use their module name during install.

```
Install-Module UniversalDashboard.Helmet
```

Depending on how the components were installed, you may need to import the module in your dashboard file.

```
import-Module UniversalDashboard.Helmet
```

## Publishing to the Universal Dashboard Marketplace

You can follow the directions on the [Building Custom Components](/v3/userinterfaces/dashboards/components/custom-components/building-custom-components.md#publishing-to-the-marketplace) page on how to publish components to the Universal Dashboard Marketplace.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powershelluniversal.com/v3/userinterfaces/dashboards/marketplace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
